/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       about.h                                                   *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       14-Apr-2013 20.24.00 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* Header for about.cpp                                                      *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __ABOUT_H__
#define __ABOUT_H__

//#include "misc.h"
#include "revhead.h"
#include "RH_version.h"

class About
{
 public:
  About(RevHead *rh);
  ~About(void);
 
 private:
  static void callback_cancel(GtkWidget *widget, About *ab);
  void create_display(void);

  class RevHead *rh;

 protected:

};


#endif // __ABOUT_H__
