/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    RevHead                                                   *
*Project Version: 4.3.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 16th April 2013                                   *
*                                                                           *
*Start DateStamp: 15-Sep-2008 11.16.15 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:  http://balean.net/linprogs                                          *
*                                                                           *
*Project Summary:                                                           *
* Create/maintain programming file revision headers and history             *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       main.cpp                                                  *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       20-Nov-2008 15.08.50 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* The startup code.  Doesn't do much else.                                  *
* 20-Aug-2004 12.10.29 -36000 0.00    DMB                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#include <gtk/gtk.h>

#include "revhead.h"


using namespace std;

int main(int argc, char *argv[])
{
int rc;

cout << "Entered main:" << endl;  
 
Quit *quit = new Quit();
 
if ( (quit->get_rc() == EXIT_SUCCESS) )
    {
    class RevHead rh(argc, argv, quit);
    }

// Just in case we get here...
rc = quit->get_rc();
quit->~Quit();
  
cout << "Leaving main:\n"; 
cout << (char *)( rc == EXIT_SUCCESS) ? "EXIT_SUCCESS" : "EXIT_FAILURE";
cout << "\n";
exit(rc);
}
